Loading...
Searching...
No Matches
xiccoord.h File Reference

XIC coordinate in MSrun. More...

`#include "../../exportinmportconfig.h"`
`#include "../../mzrange.h"`
`#include "../../xic/xic.h"`
`#include <memory>`

Go to the source code of this file.

## Classes

struct | pappso::XicCoord
| coordinates of the XIC to extract and the resulting XIC after extraction More...

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< XicCoord > | pappso::XicCoordSPtr

## Enumerations

enum class | pappso::XicCoordParam : std::int8_t { pappso::TimsTofIonMobilityScanNumberStart , pappso::TimsTofIonMobilityScanNumberStop }

## Detailed Description

XIC coordinate in MSrun.

Date
  22/04/2021

Author
  Olivier Langella

Definition in file xiccoord.h.